Package org.drinkless.tdlib

# Class TdApi.ThemeSettings

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ThemeSettings

Enclosing class:
  `TdApi`

public static class TdApi.ThemeSettings extends TdApi.Object
Describes theme settings.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `accentColor`
  Theme accent color in ARGB format.
  `boolean`
  `animateOutgoingMessageFill`
  If true, the freeform gradient fill needs to be animated on every sent message.
  `TdApi.Background`
  `background`
  The background to be used in chats; may be null.
  `TdApi.BuiltInTheme`
  `baseTheme`
  Base theme for this theme.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `outgoingMessageAccentColor`
  Accent color of outgoing messages in ARGB format.
  `TdApi.BackgroundFill`
  `outgoingMessageFill`
  The fill to be used as a background for outgoing messages; may be null if the fill from the base theme must be used instead.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThemeSettings()`
  Describes theme settings.
  `ThemeSettings(TdApi.BuiltInTheme baseTheme, int accentColor, TdApi.Background background, TdApi.BackgroundFill outgoingMessageFill, boolean animateOutgoingMessageFill, int outgoingMessageAccentColor)`
  Describes theme settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### baseTheme

    public TdApi.BuiltInTheme baseTheme
    Base theme for this theme.

  - ### accentColor

    public int accentColor
    Theme accent color in ARGB format.

  - ### background

    @Nullable public TdApi.Background background
    The background to be used in chats; may be null.

  - ### outgoingMessageFill

    @Nullable public TdApi.BackgroundFill outgoingMessageFill
    The fill to be used as a background for outgoing messages; may be null if the fill from the base theme must be used instead.

  - ### animateOutgoingMessageFill

    public boolean animateOutgoingMessageFill
    If true, the freeform gradient fill needs to be animated on every sent message.

  - ### outgoingMessageAccentColor

    public int outgoingMessageAccentColor
    Accent color of outgoing messages in ARGB format.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ThemeSettings

    public ThemeSettings()
    Describes theme settings.

  - ### ThemeSettings

    public ThemeSettings(TdApi.BuiltInTheme baseTheme, int accentColor, TdApi.Background background, TdApi.BackgroundFill outgoingMessageFill, boolean animateOutgoingMessageFill, int outgoingMessageAccentColor)
    Describes theme settings.
    Parameters:
      `baseTheme` - Base theme for this theme.
      `accentColor` - Theme accent color in ARGB format.
      `background` - The background to be used in chats; may be null.
      `outgoingMessageFill` - The fill to be used as a background for outgoing messages; may be null if the fill from the base theme must be used instead.
      `animateOutgoingMessageFill` - If true, the freeform gradient fill needs to be animated on every sent message.
      `outgoingMessageAccentColor` - Accent color of outgoing messages in ARGB format.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR